package com.stdproject.config;

import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.Configuration;

/**
 * 缓存配置类
 *
 * @author StdProject
 */
@Configuration
@EnableCaching
public class CacheConfig {
    
    // 缓存配置主要通过application.yml中的spring.cache.jcache.config配置
    // 这里启用缓存注解支持
    
    /**
     * 缓存名称常量
     */
    public static final String USER_CACHE = "userCache";
    public static final String ROLE_CACHE = "roleCache";
    public static final String MENU_CACHE = "menuCache";
    public static final String ORGANIZATION_CACHE = "organizationCache";
    public static final String DICTIONARY_CACHE = "dictionaryCache";
}